org.apache.lucene.queryparser.flexible.core.nodes

## Class MatchNoDocsQueryNode

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
  - - org.apache.lucene.queryparser.flexible.core.nodes.DeletedQueryNode
    - - org.apache.lucene.queryparser.flexible.core.nodes.MatchNoDocsQueryNode

- All Implemented Interfaces:
    Cloneable, QueryNode

      public class MatchNoDocsQueryNode
      extends DeletedQueryNode

  A `MatchNoDocsQueryNode` indicates that a query node tree or subtree will not match any documents if executed in the index.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatchNoDocsQueryNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.DeletedQueryNode

      `cloneTree, toQueryString`

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, removeChildren, removeFromParent, set, setLeaf, setTag, unsetTag`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MatchNoDocsQueryNode

          public MatchNoDocsQueryNode()

  - ### Method Detail

    - #### toString

          public String toString()

      Description copied from class: `QueryNodeImpl`
      Every implementation of this class should return pseudo xml like this: For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>
      Specified by:
        `toString` in interface `QueryNode`
      Overrides:
        `toString` in class `DeletedQueryNode`
      See Also:
        `QueryNode.toString()`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.